Skip to main content
PUT
/
api
/
v1
/
oportunidades-mei
/
{id}
/
propostas
/
{propostaId}
Atualizar proposta MEI
curl --request PUT \
  --url https://services.pref.rio/go/api/v1/oportunidades-mei/{id}/propostas/{propostaId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "aceita_custos_integrais": true,
  "celular_pessoa_fisica": "21987654321",
  "created_at": "2024-01-01T10:00:00Z",
  "deleted_at": "2024-12-31T23:59:59Z",
  "email_pessoa_fisica": "joao@example.com",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "mei_empresa_id": "12.345.678/0001-90",
  "oportunidade_mei_id": 1,
  "prazo_execucao": "30 dias",
  "status_admin": "active",
  "status_cidadao": "submitted",
  "updated_at": "2024-01-01T10:00:00Z",
  "valor_proposta": 1500.5
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

ID da oportunidade

propostaId
string
required

UUID da proposta

Body

application/json

Dados para atualização: {\

The body is of type object.

Response

OK

aceita_custos_integrais
boolean
Example:

true

celular_pessoa_fisica
string
Example:

"21987654321"

created_at
string
Example:

"2024-01-01T10:00:00Z"

deleted_at
string
Example:

"2024-12-31T23:59:59Z"

email_pessoa_fisica
string

Computed fields from RMI API (not persisted to database)

Example:

"joao@example.com"

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

mei_empresa_id
string
Example:

"12.345.678/0001-90"

oportunidade_mei_id
integer
Example:

1

prazo_execucao
string
Example:

"30 dias"

status_admin
enum<string>
Available options:
draft,
active,
expired
Example:

"active"

status_cidadao
enum<string>
Available options:
submitted,
approved,
rejected
Example:

"submitted"

updated_at
string
Example:

"2024-01-01T10:00:00Z"

valor_proposta
number
Example:

1500.5